Cowdidocs
API ReferenceCurrent account activations

Confirm the OTP for an in-flight activation

Verifies the code and moves the activation to OTP_CONFIRMED. The underlying account becomes ACTIVE once account opening is confirmed.

POST
/v1/user/accounts/current/activations/{activationId}/confirm

Path Parameters

activationId*string
Formatuuid

Request Body

application/json

Request body for confirming the OTP on a current-account activation

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/accounts/current/activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \  -H "Content-Type: application/json" \  -d '{    "otp_code": "123456"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "AWAITING_OTP",  "created_at": "2019-08-24T14:15:22Z",  "otp_confirmed_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "rejection_reason": "string",  "current_verification": {    "channel": "string"  },  "resource_id": "string"}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}